@Echo off
rem Houst.bat - (c) 2006, Airelle http://rlwpx.free.fr/WPFF/
rem Activation/d้sactivation du fichier Hosts

If Not %winbootdir%'==' Set dirh=%windir%
If %OS%'==Windows_NT' Set dirh=%SystemRoot%\system32\drivers\etc
If %dirh%'==' Goto X

Attrib %dirh%\hosts.* -a -r -h -s

Set h0=%dirh%\hosts.0
Set h1=%dirh%\hosts.1
Set hbat=%dirh%\hosts.bat
Set hoff=%dirh%\hosts.off
Set hon=%dirh%\hosts.on
Set host=%dirh%\hosts
Set hold=%dirh%\hosts.old

If Not Exist %hon% Goto XON
If Not Exist %hoff% Goto XOFF
If Not Exist %hold% Ren %host% hosts.old
If Not Exist %host% Copy %hon% %host%
If Exist %h0% Goto HON
If Exist %h1% Goto HOFF
If Exist %hbat% Copy %hbat% %h1%
Goto FIN

:HOFF
Color C0
Echo o|Copy %hoff% %host%
ren %h1% hosts.0
Echo.
Echo.
Echo.
Echo        ษอออออออออออออออออออออออออออออออออออป
Echo        บ                                   บ
Echo        บ    BLOCAGE des sites DESACTIVE    บ
Echo        บ                                   บ
Echo        บ Veuillez redmarrer le navigateur บ
Echo        บ                                   บ
Echo        ศอออออออออออออออออออออออออออออออออออผ
Echo.
Echo.
Echo.
Goto FIN

:HON
Color F3
Echo o|Copy %hon% %host%
ren %h0% hosts.1
Echo.
Echo.
Echo.
Echo        ษออออออออออออออออออออออออออป
Echo        บ                          บ
Echo        บ BLOCAGE des sites ACTIVE บ
Echo        บ                          บ
Echo        ศออออออออออออออออออออออออออผ
Echo.
Echo.
Echo.
Goto FIN

:X
Echo Chemin non reconnu.
Goto FIN

:XON
Echo Fichier hosts.on introuvable dans %dirh%.
Goto FIN

:XOFF
Echo Fichier hosts.off introuvable dans %dirh%.
Goto FIN

:FIN
attrib %dirh%\*.* -a +r +h
Pause
